.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-float infinite 3s ease-in-out;
  }
}
#root {
  padding: 10px;
}

.App-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
}

.App-link {
  color: rgb(112, 76, 182);
}

@keyframes App-logo-float {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(10px);
  }
  100% {
    transform: translateY(0px);
  }
}

.box-todo {
  width: 100%;
  min-height: calc(100vh - 20px);
  max-width: 1280px;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
}
.col-todo {
  width: 100%;
  border: 1px solid #3e3e3e;
  display: flex;
  flex-direction: column;
  align-items: stretch;
}
.block {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  padding: 25px;
}

.block-header+.block-body {
  padding-top: 20px;
}

.block-body {
  display: flex;
  flex-direction: column;
}

.block-title{ 
  text-transform: capitalize;
  font-weight: 700;
  text-align: center;
}

/*  */

.flex-form {
  display: flex;
  flex-wrap: wrap;
  margin-left: -15px;
  margin-right: -15px;
}
.flex-col {
  width: 100%;
}

.flex-form>.flex-col  {
  padding-left: 15px;
  padding-right: 15px;
}
.input-group {
  margin-bottom: 20px;
}

.input-group .title-control {
  text-align: left;
  margin-bottom: 10px;
}
.input-group input, .input-group textarea, .form-select {
  width: 100%;
  padding: 10px;
  min-height: 44px;
}
.group-btn {
  display: flex;
  align-items: center;
  justify-content: center;
}
.group-btn>.btn+.btn { 
  margin-left: 20px;
}
.group-btn>.btn.btn-small+.btn.btn-small {
  margin-left: 10px;
}
.btn {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  border: none;
  outline: none;
  padding: 0 10px;
  height: 44px;
  min-width: 90px;
  border-radius: 5px;
  cursor: pointer;
}
.btn.btn-small {
  height: 34px;
}
.btn-full {
  width: 100%;
}
.btn-green {
  background-color: rgb(77, 203, 35);
}

.btn-info {
  background-color: rgb(24, 213, 227);
}

.btn-danger {
  background-color: rgb(236, 79, 52);
}
.btn-primary {
  background-color: rgb(40, 123, 224);
}

.error-danger {
  text-align: left;
  color: rgb(236, 79, 52);
  margin: 5px 0;
}

/*  */

.item-todo {
  margin-bottom: 20px;
}
.card {
  display: flex;
  flex-direction: column;
}
.card-header {
  padding: 20px;
  display: flex;
  align-items: center;
  border: 1px solid #3e3e3e;
}
.card-body {
  padding: 20px;
  border: 1px solid #3e3e3e;
  border-top: none;
}
.content-title { 
  flex-grow: 1;
  text-align: left;
  padding: 0 20px;
}

/*  */

.side-bulk {
  border-top: 1px solid #3e3e3e;
  background-color: #dfdfdf;
  padding: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

@media (min-width: 992px) {
  .col-add {
    max-width: 45%;
  }
  .col-list {
    max-width: 55%;
  }

  .flex-col {
    width: 50%;
  }
}